[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# DoneThread

End the current thread

## Declaration

Source position: threadh.inc line 112

`procedure DoneThread;`

## Description

DoneThread should be used to end the current thread. It performs the necessary housekeeping before actually ending the thread. Using the operating system calls to end the thread may result in data corruption or memory leaks.

## See also

BeginThread |  | Start a new thread.

Documentation generated on: Feb 26 2014